Bug 972442 - 15 character limit on NIC names is inadvertently restricting VM name field
15 character limit on NIC names is inadvertently restricting VM name field
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.2
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 08:39 EDT by James Wilson
Modified: 2013-06-13 05:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 05:22:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
15 character limitation (100.49 KB, image/png)
2013-06-10 10:03 EDT, James Wilson
no flags Details

  None (edit)
Description James Wilson 2013-06-09 08:39:24 EDT
Description of problem:

A patch was committed into the latest build of oVirt to restrict NIC names at 15 characters.

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commitdiff;h=218b506a65e1039481f14b837022d8155ecb1e02

This appears to have limited the "Name" field when creating a VM via the web interface.  Previous hosts, created with > 15 character names are not flagged as incorrect.

Version-Release number of selected component (if applicable):

ovirt-engine-3.2.1-1.41.el6.noarch, CentOS 6.4 x86_64

How reproducible:

Apply the latest updates via yum from the dreyou.org repository.  Create a new VM with a name greater than 15 characters e.g. adfs.example.org

Actual results:

The OK button becomes unresponsive and no error is given if the user has traversed away from the "General" tab.  Closer inspection, under "General" sees the name field turn yellow, and the name of the VM must be reduced to less than 15 characters in order to successfully create a guest.

Expected results:

A VM name such as adfs.example.com is entered, and the VM is created without issue.
Comment 1 Michal Skrivanek 2013-06-10 03:12:53 EDT
MaxVmNameLengthWindows is set to 15 by default. What's your OS type?
Comment 2 James Wilson 2013-06-10 03:52:01 EDT
(In reply to Michal Skrivanek from comment #1)
> MaxVmNameLengthWindows is set to 15 by default. What's your OS type?

Hi, as mentioned, the OS is CentOS 6.4 x86_64 with latest updates.  The MaxVmNameLengthWindows restriction has only come into force in the latest update of ovirt-engine-setup-3.2.2-1.1.43.el6.noarch.

# cat /etc/centos-release 
CentOS release 6.4 (Final)

# uname -a
Linux 2.6.32-358.6.2.el6.x86_64 #1 SMP Thu May 16 20:59:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I have previous hosts that exceed this 15 character limit, created only weeks previously - such as shell.example.com.  If I try and create shell.example.org post patch update, this restriction is enforced.  Previous hosts are allowed to run without issue.
Comment 3 James Wilson 2013-06-10 03:58:06 EDT
Recent RPM updates, after which restriction appears to be enforced:

May 30 10:46:10 Updated: ovirt-engine-sdk-3.2.0.11-1.el6.noarch
May 30 10:46:11 Updated: ovirt-engine-cli-3.2.0.12-1.el6.noarch
Jun 08 00:24:29 Updated: ovirt-engine-setup-3.2.2-1.1.43.el6.noarch
Jun 08 00:24:29 Updated: ovirt-engine-setup-plugin-allinone-3.2.2-1.1.43.el6.noarch
Comment 4 Itamar Heim 2013-06-10 09:37:57 EDT
do you mean hosts names or VM names?
Comment 5 James Wilson 2013-06-10 10:03:01 EDT
Created attachment 759212 [details]
15 character limitation

This shows the error message presented to the user.  When entering a name > 15 characters, and clicking OK.  The field turns yellow.  Only when hovering does it describe the limitation.
Comment 6 Itamar Heim 2013-06-10 13:48:36 EDT
James - are you sure the Operating System field used to be Windows before as well? as michal mentioned, the 15 characters limitation for VMs which operating system is windows*, has been in for a while (though probably should be changed into a warning)
Comment 7 Michal Skrivanek 2013-06-13 05:22:30 EDT
The screenshot clearly shows OS type Windows 2008

seems you're confusing host name with VM name, Centos on your hypervisor host has nothing to do with guests - VMs name

Note You need to log in before you can comment on or make changes to this bug.